
QGIS Application - Bug report #11897

In Print composer, menu Setting should open only Composer options

2014-12-19 12:00 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20109

Description

Currently the menu is a shortcut to the whole Options, which is confusing for the user, as also tabs for non relevant options are shown

(e.g. Digitizing, etc.).

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-02-24 04:39 PM - Paolo Cavallini

Still true in QGIS 3

#3 - 2018-02-24 05:02 PM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to 3.0.0

Please change the affected version.

#4 - 2018-04-16 03:32 PM - Harrissou Santanna

- Status changed from Open to Feedback

Cannot reproduce with 3.0-rel-dev nor master(3.1) on windows.

Can you confirm, Paolo?

#5 - 2018-04-19 09:49 PM - Paolo Cavallini

Cannot test on 3.1 now. On 3.0 it was as in 2.18.

Thanks.

#6 - 2018-08-23 01:07 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable
Closing for lack of feedback.

#7 - 2018-08-23 06:54 AM - Paolo Cavallini

- Resolution deleted (not reproducable)

- Status changed from Closed to Open

- Affected QGIS version changed from 3.0.0 to 3.2.2

This is still unchanged. To better explain: I believe that the menu `Settings` in the Layout window should not bring up the whole `Options` popup, as it

happens currently (with the `Layouts` tab preselected), but a dialog with only the `Layout` options. The current situation is confusing to the user.
